// RSSMU_GPS_ExampleDlg.h : header file
//

#if !defined(AFX_RSSMU_GPS_EXAMPLEDLG_H__6AA7288F_89D4_4DE8_8716_2483A1A334AB__INCLUDED_)
#define AFX_RSSMU_GPS_EXAMPLEDLG_H__6AA7288F_89D4_4DE8_8716_2483A1A334AB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/* Error check macro for driver functions */

#define FT_CHECKERR(fcal, err) if ((rssmu_status = fcal) < 0){\
								 rssmu_close(m_InstrSession);\
        						 sprintf (buffer, "Error: %ld, %s", rssmu_status, err);\
        						 GetDlgItem(IDAPPLY)->EnableWindow ();\
        						 GetDlgItem(IDCANCEL)->EnableWindow ();\
								 AfxMessageBox (buffer, MB_OK);\
        						 return;\
        						 }
   

#include <visa.h>
/////////////////////////////////////////////////////////////////////////////
// CRSSMU_GPS_ExampleDlg dialog

class CRSSMU_GPS_ExampleDlg : public CDialog
{
// Construction
public:
	ViSession m_InstrSession;
	CRSSMU_GPS_ExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRSSMU_GPS_ExampleDlg)
	enum { IDD = IDD_RSSMU_GPS_EXAMPLE_DIALOG };
	CButton	m_Exit;
	CButton	m_Apply;
	BOOL	m_Query;
	BOOL	m_Reset;
	double	m_RFFreq;
	double	m_RFLevel;
	BOOL	m_RFState;
	CString	m_ResName;
	BOOL	m_GpsState;
	double	m_SatDoppler;
	int		m_SatId;
	double	m_SatPower;
	int 	m_SatTime;
	int		m_NavData;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRSSMU_GPS_ExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRSSMU_GPS_ExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnApply();
	virtual void OnCancel();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RSSMU_GPS_EXAMPLEDLG_H__6AA7288F_89D4_4DE8_8716_2483A1A334AB__INCLUDED_)
